corda / net.corda.node.services.messaging / RPCDispatcher

# RPCDispatcher

`abstract class RPCDispatcher`

Intended to service transient clients only (not p2p nodes) for short-lived, transient request/response pairs. If you need robustness, this is the wrong system. If you don't want a response, this is probably the wrong system (you could just send a message). If you want complex customisation of how requests/responses are handled, this is probably the wrong system.

### Constructors

<init> | `RPCDispatcher(ops: RPCOps, userService: RPCUserService, nodeLegalName: String)` Intended to service transient clients only (not p2p nodes) for short-lived, transient request/response pairs. If you need robustness, this is the wrong system. If you don't want a response, this is probably the wrong system (you could just send a message). If you want complex customisation of how requests/responses are handled, this is probably the wrong system.

### Properties

nodeLegalName | `val nodeLegalName: String`
ops | `val ops: RPCOps`
userService | `val userService: RPCUserService`

### Functions

dispatch | `fun dispatch(msg: ClientRPCRequestMessage): Unit`
getUser | `open fun getUser(message: ClientMessage): User`
send | `abstract fun send(data: SerializedBytes<*>, toAddress: String): Unit`
start | `fun start(rpcConsumer: ClientConsumer, rpcNotificationConsumer: ClientConsumer?, onExecutor: AffinityExecutor): Unit`